<%@ taglib prefix="spring" uri="http://www.springframework.org/tags/form" %>
<%--
  Created by IntelliJ IDEA.
  User: Кинетик
  Date: 02.01.2017
  Time: 23:30
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>
<head>
    <title>Регистрация Администратора</title>
    <style type="text/css">
        <%@include file="/WEB-INF/bootstrap-4.0.0-alpha.6-dist/css/cssforpr.css" %>
        <%@include file="/WEB-INF/bootstrap-4.0.0-alpha.6-dist/css/bootstrap.min.css" %>
    </style>
</head>
<body>
<%--
    Все сообщения ${<название сообщения} буду ошибками в случае неправильного заполнения/ не заполнения поля, около которого появляется
--%>

<nav class="navbar navbar-default navbar-fixed-top">
    <div class="container">
        <a class="navbar-brand" href="#">MePhorce</a>
        <nav class="nav nav-masthead">
            <a class="nav-link" href="/">Войти</a>
            <a class="nav-link" href="/aboutUs">О проекте</a>
            <a class="nav-link" href="/registrate">Создать аккаунт</a>
            <a class="nav-link" href="/contacts">Контакты</a>
        </nav>
    </div>
</nav>

<div class="container">
    <div class="login-block">
        <spring:form method="post"  modelAttribute="admin" action="regAdminAction">
            <h1>Регистрация Администратора</h1>
            <spring:input path="modFamily" type="text" placeholder="Фамилия"/>${famMessage}   <br/>
            <spring:input path="modFirstName" type="text" placeholder="Имя"/>${nameMessage}   <br/>
            <spring:input path="modSecName" type="text" placeholder="Отчество"/>${secNameMessage}   <br/>
            <spring:input path="modEmail" type="text" placeholder="E-mail"/>${emailMessage}   <br/>
            <spring:input path="modHometown" type="text" placeholder="Город"/>${hometownMessage}   <br/>
            <spring:input path="modPhone" type="text" placeholder="Телефон"/>${phoneMessage}   <br/>
            <spring:input path="modBirthdate" type="date" placeholder="День рождения"/>${birthMessage} <br/>
            <spring:input path="modPassword" type="password" placeholder="Пароль"/>${passMessage}   <br/>
            ${errorMessage}<br/>
            <spring:button>Зарегистрироваться</spring:button>
        </spring:form>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <p class="text-muted">&copy;2017 Mephorce</p>
    </div>
</footer>

</body>
</html>
